Bug 1029160 - Review Request: kimchi - SImple KVM virtualization management
Review Request: kimchi - SImple KVM virtualization management
Status: CLOSED DUPLICATE of bug 1126990
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-11 14:40 EST by Adam Litke
Modified: 2014-08-05 15:26 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-05 15:26:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
"autogen.sh" output (4.51 KB, text/x-log)
2014-01-17 07:23 EST, Crístian Deives
no flags Details

  None (edit)
Description Adam Litke 2013-11-11 14:40:56 EST
Spec URL: http://aglitke.fedorapeople.org/kimchi.spec
SRPM URL: http://aglitke.fedorapeople.org/kimchi-1.0.1-0.fc19.src.rpm
Description: Kimchi is an HTML5 based management tool for KVM. It is designed to make it as easy as possible to get started with KVM and create your first guest.
Fedora Account System Username: aglitke
Comment 1 Christopher Meng 2013-11-12 00:23:44 EST
Will this package be pushed to EPEL5?
Comment 2 Petr Šabata 2013-11-12 01:08:00 EST
What a nice project name :)
Comment 3 Michael Scherer 2014-01-10 19:47:56 EST
Package doesn't build on Fedora 20 :
+ '[' -f /usr/lib/rpm/redhat/config.sub ']'
+ /usr/bin/rm -f ./build-aux/config.sub
++ basename ./build-aux/config.sub
+ /usr/bin/cp -fv /usr/lib/rpm/redhat/config.sub ./build-aux/config.sub
'/usr/lib/rpm/redhat/config.sub' -> './build-aux/config.sub'
+ ./configure --build=x86_64-redhat-linux-gnu --host=x86_64-redhat-linux-gnu --program-prefix= --disable-dependency-tracking --prefix=/usr --exec-prefix=/usr -
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /usr/bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether make supports nested variables... yes
checking for a Python interpreter with version >= 2.6... none
configure: error: no suitable Python interpreter found

Also :
- there is no Url anywhere 
- make should use -j 
- %post should use the systemd macros 
- there is lots of unowned directory ( /etc/kimchi , /usr/share/kimchi and others )

there is also bundled javascript libraries ( jquery, novnc ), I am not sure where we are on this, and there is bundled fonts, which is also a grey area, last time I looked.
Comment 4 Crístian Deives 2014-01-17 07:21:22 EST
(In reply to Michael Scherer from comment #3)
> Package doesn't build on Fedora 20 :
> + '[' -f /usr/lib/rpm/redhat/config.sub ']'
> + /usr/bin/rm -f ./build-aux/config.sub
> ++ basename ./build-aux/config.sub
> + /usr/bin/cp -fv /usr/lib/rpm/redhat/config.sub ./build-aux/config.sub
> '/usr/lib/rpm/redhat/config.sub' -> './build-aux/config.sub'
> + ./configure --build=x86_64-redhat-linux-gnu --host=x86_64-redhat-linux-gnu
> --program-prefix= --disable-dependency-tracking --prefix=/usr
> --exec-prefix=/usr -
> checking for a BSD-compatible install... /usr/bin/install -c
> checking whether build environment is sane... yes
> checking for a thread-safe mkdir -p... /usr/bin/mkdir -p
> checking for gawk... gawk
> checking whether make sets $(MAKE)... yes
> checking whether make supports nested variables... yes
> checking for a Python interpreter with version >= 2.6... none
> configure: error: no suitable Python interpreter found

I am able to build Kimchi on a freshly installed Fedora 20. Regarding the Python environment detection, here is the output I've got:

checking for a Python interpreter with version >= 2.6... python
checking for python... /usr/bin/python
checking for python version... 2.7 
checking for python platform... linux2
checking for python script directory... ${prefix}/lib/python2.7/site-packages
checking for python extension module directory... ${exec_prefix}/lib64/python2.7/site-packages
checking for pep8... /usr/bin/pep8

I am using the latest Kimchi code from GitHub.

Michael Scherer, could you try to build Kimchi with the latest code and make sure the problem still happens for you? The repository can be found here: https://github.com/kimchi-project/kimchi.
Comment 5 Crístian Deives 2014-01-17 07:23:36 EST
Created attachment 851567 [details]
"autogen.sh" output

That is the output of "autogen.sh" taken from a freshly installed Fedora 20. Everything went fine.
Comment 6 Brent Baude 2014-08-05 15:26:47 EDT

*** This bug has been marked as a duplicate of bug 1126990 ***

Note You need to log in before you can comment on or make changes to this bug.